!!ARBfp1.0

OUTPUT output = result.color;

PARAM lPos     = program.local[0];
PARAM lightPos = program.local[1];
PARAM lightCol = program.local[2];

ATTRIB texCoord = fragment.texcoord[0];
ATTRIB fPos     = fragment.texcoord[1];
ATTRIB lightVec = fragment.texcoord[2];
ATTRIB normal   = fragment.texcoord[3];

TEMP base, diffuse, v1, v2, t, p;


TEX		base, texCoord, texture[0], 2D;

DP3		v1, fPos, fPos;
DP3		v2, fPos, lPos;

RCP		t.x, v1.x;
MUL_SAT	t.x, t.x, v2.x;
MAD		p, t.x, fPos, -lPos;

DP3		p, p, p;
MAD		p, p, 0.0002, 1.0;
RCP		p, p.x;

DP3		t, lightVec, lightVec;
MAD		t, t, 0.00004, 1.0;
RCP		t, t.x;

DP3_SAT	diffuse, lightVec, normal;
MAD		t, t, diffuse, 0.1;

MAD		p, base, t, p;
MUL		output, p, lightCol;

END 
